//域名
var lxrDomain = 'http://www.jieyou88.com/';

// ============ 弹出层 开始 ============ //

//加载中
function showLoading(msg, time) {
    return layer.msg(msg, {
        icon: 16,
        time: time || 0,
        shade: 0.5,
        success: function () {
            var url = chrome.extension.getURL('static/layer/theme/default/loading-2.gif');
            $('.layui-layer-ico').css('background-image', 'url(' + url + ')');
        }
    });
}

//成功
function showSuccess(msg, cb) {
    var option = {
        icon: 1,
        time: 1500,
        shade: 0.5,
        success: function () {
            var url = chrome.extension.getURL('static/layer/theme/default/icon.png');
            $('.layui-layer-ico').css('background-image', 'url(' + url + ')');
        }
    };
    layer.msg(msg, option, function () {
        if (cb) cb();
    });
}

//提示
function showTips(msg, cb, time) {
    var option = {
        icon: 7,
        time: time ? time : 1500,
        shade: 0.5,
        success: function () {
            var url = chrome.extension.getURL('static/layer/theme/default/icon.png');
            $('.layui-layer-ico.layui-layer-ico7').css('background-image', 'url(' + url + ')');
        }
    };
    layer.msg(msg, option, function () {
        if (cb) cb();
    });
}

// ============ 弹出层 结束 ============ //

//发送消息给bg
function sendMsgToBg(cb) {
    var data = {
        type: 'sendAjaxCollectOrder',
    };

    if ('undefined' != typeof lstOrder) data.lstOrder = lstOrder;
    chrome.runtime.sendMessage(data, function () {
        showSuccess('采集成功', function () {
            if (cb) cb();
        });
    });
}

//检测是否已登录
function checkUser(cb) {
    chrome.runtime.sendMessage({
        type: 'sendAjaxCheckUser'
    }, function (res) {
        if (res.type == 'noLogin') {
            showTips('请先登录', function () {
                window.open(lxrDomain + 'user.php');
            });
            return;
        }
        cb();
    });
}

//获取url参数
function getQueryVariable(variable, url)
{
    var query = url ? url.split('?')[1] : window.location.search.substring(1);
    var vars = query.split("&");
    for (var i=0;i<vars.length;i++) {
        var pair = vars[i].split("=");
        if(pair[0] == variable){return pair[1];}
    }
}

//给全选按钮加上点击事件
$(document).on('change', '.lxrCheckboxAll', function () {
    $('.lxrCheckbox').prop('checked', $(this).find('input').prop('checked'));
});

//获取页面上的变量数据
function getPageParam(param) {
    var script = document.createElement('script');
    script.type = 'text/javascript';
    script.innerHTML = "document.body.setAttribute('lxrPageData', JSON.stringify(" + param + "));";
    document.head.appendChild(script);
    document.head.removeChild(script);

    return JSON.parse(document.body.getAttribute('lxrPageData'));
}

//采集下一个订单数据
function sendMsgToBgNextOrder(lstProduct) {
    
    //发送消息给bg
    chrome.runtime.sendMessage({
        type: 'nextOrder',
        data: lstProduct
    }, function (res) {
        
        //普通页面进来
        if (res.type == 'none') return;

        //跳转到下一个链接
        if (res.type == 'next') {
            window.location = res.url;
            return;
        }

        //全部完成了,关闭订单详情页面
        if (res.type == 'complete') {
            window.close();
        }
    });

}

//发送订单链接给bg
function addLstOrder(lstOrder) {
    chrome.runtime.sendMessage({
        type: 'addLstOrder',
        lstOrder: lstOrder,
    }, function (url) {
        window.open(url);
    });
}