//解决搜狗浏览器一进来会报错: Cannot read property 'onMessage' of undefined
if (!chrome.runtime) window.location.reload();

function init() {
    var expressNo = '';
    var expressName = '';

    $('#container > div.w > div > div.order-track.order-track-02.m.order-track-new > div.mc > div.track-cont.J-delivery-track > div.track-lcol > div.p-item > div.p-info > ul > li').each(function () {
        $(this).find('a').remove();
        var text = $(this).text().trim();
        if (text.indexOf('货运单号：') != -1) {
            expressNo = text.split('货运单号：')[1];
        } else if (text.indexOf('承运人：') != -1) {
            expressName = text.split('承运人：')[1];
        }
    });

    var lstOrder = [];
    $('.goods-list tr').each(function () {
        if ($(this).attr('class') && $(this).attr('class').indexOf('product-') != -1) {

            var name = $(this).find('.p-name a').attr('title');

            if (!name) return;

            var image = 'https:' + $(this).find('.p-img img').attr('src');
            var price = $(this).find('.f-price').text().trim().split('¥')[1];
            var num = $(this).find('.f-price').parent().next().text().trim();

            lstOrder.push({
                orderNo: $('#orderid').val(),
                expressNo: expressNo,
                expressName: expressName,
                image: image,
                name: name,
                price: price ? price : 0.00,
                num: num,

                itemUrl: 'https:' + $(this).find('.p-img a').attr('href').trim(),
                platform: 4,
                buyAt: $('#track_time_0').text()
            });
        }
    });
    sendMsgToBgNextOrder(lstOrder);
}

chrome.runtime.onMessage.addListener(function(request) {
    if (request.type == 'init') init();
});