//采集选中订单
$(document).on('click', '.collectOrder', function () {

    var $lstCheckBox = $('.lxrCheckbox:checked');

    if ($lstCheckBox.length == 0) {
        showTips('请选择订单');
        return;
    }

    checkUser(function () {

        var lstOrder = [];

        $lstCheckBox.each(function () {

            var url = $(this).parents('table').find('a[name=ofsddzx_none_list_detail]').attr('href');

            if (url.substring(0,1) == '/') {
                lstOrder.push(window.location.origin + url);
            } else {
                lstOrder.push(window.location.origin + '/order/' + url);
            }

        });

        chrome.runtime.sendMessage({
            type: 'addLstOrder',
            lstOrder: lstOrder,
        }, function (url) {
            window.open(url);
        });

    });

});

//监听bg信息
chrome.runtime.onMessage.addListener(function(request) {
    if (request.type == 'init') init();
});

function init() {
    
    //删除以前的按钮
    $('.lxrCheckbox, .lxrCheckboxAll, .collectOrder, .order-checkbox, .order-checkbox-all, .merge-pay').remove();

    //加入采集订单按钮
    var str = '';
    str += '<label class="lxrCheckboxAll"><input type="checkbox">全选</label>';
    str += '<a type="submit" class="layui-btn layui-btn-danger layui-btn-sm collectOrder">采集订单</a>';
    $('#conditionDiv .l.so-box').after(str);

    $('.order-head td > .item:first-of-type').each(function () {
        var statusName = $(this).parents('table').find('[id*=returnStatus]').text().trim();

        if (
            statusName.indexOf('取消') != -1 ||
            statusName.indexOf('关闭') != -1 ||
            statusName.indexOf('退款') != -1 ||
            statusName.indexOf('待支付') != -1 ||
            statusName.indexOf('未支付') != -1 ||
            statusName.indexOf('等待付款') != -1 ||
            statusName.indexOf('未付款') != -1
        ) return;

        $(this).before('<p class="lxrP"><input type="checkbox" class="lxrCheckbox"></p>');
    });
}