window.onload = function () {

    var lstProduct = [];

    if (window.location.host == 'trade.tmall.com') {

        var detailData = getPageParam('detailData');

        detailData.orders.list[0].status[0].subOrders;

        detailData.orders.list.forEach(function (objList) {
            objList.status.forEach(function (objStatus) {
                objStatus.subOrders.forEach(function (objProduct) {
                    if (parseFloat(objProduct.priceInfo[0].text.split('￥')[1]) == 0 && !objProduct.itemInfo.skuText) return;
                    console.log(objProduct.priceInfo);
                    lstProduct.push({
                        orderNo: getQueryVariable('bizOrderId'),
                        expressNo: 123,
                        expressName: 123,
                        image: 'https:' + objProduct.itemInfo.pic,
                        name: objProduct.itemInfo.title,
                        price: objProduct.priceInfo[0].text.split('￥')[1],
                        num: objProduct.quantity,
                        itemUrl: 'https:' + objProduct.itemInfo.itemUrl,
                        platform: 2,
                        buyAt: detailData.stepbar.options[0].time
                    });
                });
            });
        });

    } else if (window.location.host == 'trade.taobao.com') {

        var detailData = getPageParam('data');

        detailData.mainOrder.subOrders.forEach(function (objProduct, index) {

            if (objProduct.priceInfo == '0.00') return;

            var expressNo = detailData.deliveryInfo.logisticsNum;
            var expressName = detailData.deliveryInfo.logisticsName;

            //单订单多包裹的情况
            if (!expressNo && detailData.packageInfos) {
                expressNo = detailData.packageInfos.list[index].invoiceNo;
                expressName = detailData.packageInfos.list[index].companyName;
            }

            lstProduct.push({
                orderNo: detailData.mainOrder.id.toString(),
                expressNo: expressNo,
                expressName: expressName,
                image: 'https:' + objProduct.itemInfo.pic,
                name: objProduct.itemInfo.title,
                price: objProduct.priceInfo.split('￥')[1],
                num: objProduct.quantity,
                itemUrl: 'https:' + objProduct.itemInfo.auctionUrl,
                platform: 1,
                buyAt: detailData.orderBar.nodes[0].date
            });
        });

    } else if (window.location.host == 'tradearchive.taobao.com') {
        $('.order-item').each(function () {
            if (parseFloat($(this).find('.price').text()) == 0 && ($(this).find('.sku').text().trim() == '-' || $(this).find('.sku').text().trim() == '')) return;
            lstProduct.push({
                orderNo: $('.order-num').text(),
                expressNo: $('#J_TabView > div > div > div > table.simple-list.logistics-list > tbody > tr:nth-child(6) > td:nth-child(2)').text().trim(),
                expressName: $('#J_TabView > div > div > div > table.simple-list.logistics-list > tbody > tr:nth-child(5) > td:nth-child(2)').text().trim(),
                image: 'https:' + $(this).find('.pic img').attr('src'),
                name: $(this).find('.name a').attr('title'),
                price: $(this).find('.price').text(),
                num: $(this).find('.num').text(),
                itemUrl: 'https:' + $(this).find('.name a').attr('href'),
                platform: 1,
                buyAt: $('.trade-time').text()
            });
        });
    }

    sendMsgToBgNextOrder(lstProduct);
}

function getQueryVariable(variable)
{
    var query = window.location.search.substring(1);
    var vars = query.split("&");
    for (var i=0;i<vars.length;i++) {
        var pair = vars[i].split("=");
        if(pair[0] == variable){return pair[1];}
    }
}