$(document).ready(function() {
    $.ajax({
        url: 'https://order.vip.com/multDetail/order/info' + window.location.search,
        success: function (res) {
            var objOrder = res.result;

            var expressNo = '';
            var expressName = '';

            if (objOrder.orderTrack && objOrder.orderTrack.result && objOrder.orderTrack.result.orderTrack) {
                expressNo = objOrder.orderTrack.result.orderTrack[0].sn;
                expressName = objOrder.orderTrack.result.orderTrack[0].transport;
            }

            var lstProduct = [];
            objOrder.goodsList.result.suitGoodsList.forEach(function (lstGood) {
                lstGood.goodsList.forEach(function (objGood) {
                    lstProduct.push({
                        orderNo: objOrder.orderSn,
                        expressNo: expressNo,
                        expressName: expressName,
                        image: 'https:' + objGood.imageUrl,
                        name: objGood.goodsName,
                        price: objGood.price,
                        num: objGood.piece,
                        itemUrl: 'https:' + objGood.goodsUrl,
                        platform: 5,
                        buyAt: objOrder.orderSummary.result.orderAddTime
                    });
                });
            });

            sendMsgToBgNextOrder(lstProduct);

        }
    });
});