var lstOrder = [];

function init() {

    //删除原本的复选框
    $('.collectOrder, .lxrCheckbox, .lxrCheckboxAll, .collectAllOrder').remove();

    //加上全选按钮和采集订单按钮
    var str = '<label class="lxrCheckboxAll"><input type="checkbox">全选</label>';
    str += '<a type="submit" class="layui-btn layui-btn-danger layui-btn-sm collectOrder">采集订单</a>';
    $('.ui-dropdown.ui-dropdown-float.J_orderType_wrap').after(str);

    //删除"特"图标

    //加上复选框
    $('.order-state > span:first-child').each(function () {
        if (
            $(this).text().indexOf('取消') != -1 ||
            $(this).text().indexOf('未支付') != -1
        ) return;
        $(this).parents('.orderList').find('.ii-te').remove();
        $(this).parents('.orderList').find('.order-hd .orderList-title').prepend('<input type="checkbox" class="lxrCheckbox">');
    });

    // $('.lxrCheckbox').prop('checked', true);
    // $('.collectOrder').click();
}



//点击采集订单
$(document).on('click', '.collectOrder', function () {

    checkUser(function () {

        lstOrder = [];

        var $lstCheckbox = $('.lxrCheckbox:checked');

        if ($lstCheckbox.length == 0) {
            showTips('请选择订单');
            return;
        }

        $lstCheckbox.each(function () {
            lstOrder.push('https:' + $(this).parents('.orderList').find('.order-state a[mars_sead=account_order_detail_btn]').attr('href'));
        });

        chrome.runtime.sendMessage({
            type: 'addLstOrder',
            lstOrder: lstOrder,
        }, function (url) {
            window.open(url);
        });

    });

});

chrome.runtime.onMessage.addListener(function(request) {
    if(request.type == 'init') init();
});