window.onload = function () {

    var str = '<button type="submit" class="layui-btn layui-btn-danger layui-btn-sm collectOrder">采集订单</button>';
    $('#mod-batch-bar > div.col.first').after(str);

    //点击采集订单
    $('.collectOrder').click(function () {

        var lstIsOkOrder = [];
        var $lstCheckBox = $('.single-select:checked');
        $lstCheckBox.each(function () {
            var statusName = $(this).parents('li.order-item').find('[class*=status-]').text();

            if (
                statusName.indexOf('取消') != -1 ||
                statusName.indexOf('关闭') != -1 ||
                statusName.indexOf('退款') != -1 ||
                statusName.indexOf('待支付') != -1 ||
                statusName.indexOf('未支付') != -1 ||
                statusName.indexOf('待付款') != -1 ||
                statusName.indexOf('未付款') != -1 ||
                statusName.indexOf('等待买家付款') != -1
            ) return;
            lstIsOkOrder.push(this);
        });

        if ($lstCheckBox.length == 0) {
            showTips('请选择订单');
            return;
        }
        if (lstIsOkOrder.length == 0) {
            showTips('请选择已完成、已付款、发货订单');
            return;
        }

        checkUser(function () {
            var lstOrder = [];

            lstIsOkOrder.forEach(function (_this) {
                lstOrder.push($(_this).parents('li.order-item').find('.bannerOrderDetail').attr('href'));
            });

            addLstOrder(lstOrder);
        });

    });
}