function init() {

    if ($('.order-list-cont').length == 0) {
        setTimeout(function () {
            init();
        }, 100);
        return;
    }

    //删除原本的复选框
    $('.collectOrder, .lxrCheckbox, .lxrCheckboxAll, .collectAllOrder, .ico-qiang.ic-qiangShop, .orderNumcheck').remove();

    //加上全选按钮和采集订单按钮
    var str = '<label class="lxrCheckboxAll"><input type="checkbox">全选</label>';
    str += '<a type="submit" class="layui-btn layui-btn-danger layui-btn-sm collectOrder">采集订单</a>';
    $('#sel_choos').before(str);

    //加上复选框
    $('.order-list-cont').each(function () {
        var statusName = $(this).find('.status').text();
        if (
            statusName.indexOf('取消') != -1 ||
            statusName.indexOf('关闭') != -1 ||
            statusName.indexOf('退款') != -1 ||
            statusName.indexOf('待支付') != -1 ||
            statusName.indexOf('未支付') != -1 ||
            statusName.indexOf('等待付款') != -1 ||
            statusName.indexOf('未付款') != -1
        ) return;
        $(this).find('.order-time').before('<input type="checkbox" class="lxrCheckbox">');
    });
}

//点击采集订单
$(document).on('click', '.collectOrder', function () {

    checkUser(function () {

        var lstOrder = [];

        var $lstCheckbox = $('.lxrCheckbox:checked');

        if ($lstCheckbox.length == 0) {
            showTips('请选择订单');
            return;
        }

        $lstCheckbox.each(function () {
            lstOrder.push('http://myhome.gome.com.cn/member/' + $(this).parents('.order-list-cont').find('.order-list-btn02.v-o').attr('href'));
        });

        addLstOrder(lstOrder);
    });

});

chrome.runtime.onMessage.addListener(function(request) {
    if(request.type == 'init') init();
});