window.onload = function () {

    //删除原本的复选框
    $('.collectOrder, .lxrCheckbox, .lxrCheckboxAll, .collectAllOrder, .ico-qiang.ic-qiangShop, .orderNumcheck').remove();

    //加上全选按钮和采集订单按钮
    var str = '<label class="lxrCheckboxAll"><input type="checkbox">全选</label>';
    str += '<a type="submit" class="layui-btn layui-btn-danger layui-btn-sm collectOrder">采集订单</a>';
    $('.order-search').prepend(str);

    //加上复选框
    $('.order-link.go-detail-link').each(function () {
        var statusName = $(this).parent().find('p:nth-child(1)').text();
        if (
            statusName.indexOf('取消') != -1 ||
            statusName.indexOf('关闭') != -1 ||
            statusName.indexOf('退款') != -1 ||
            statusName.indexOf('待支付') != -1 ||
            statusName.indexOf('未支付') != -1 ||
            statusName.indexOf('待付款') != -1 ||
            statusName.indexOf('未付款') != -1
        ) return;
        $(this).parents('.order-table-item').prev().find('.no').before('<input type="checkbox" class="lxrCheckbox">');
    });

    //点击采集订单
    $('.collectOrder').click(function () {

        checkUser(function () {

            var lstOrder = [];

            var $lstCheckbox = $('.lxrCheckbox:checked');

            if ($lstCheckbox.length == 0) {
                showTips('请选择订单');
                return;
            }

            $lstCheckbox.each(function () {
                lstOrder.push(window.location.origin + $(this).parents('.order-table-header').next().find('.order-link.go-detail-link').attr('href'));
            });

            addLstOrder(lstOrder);
        });

    });

}